/*
Source to isolate use of uuid_t by OSSP UUID include file.
This type is part of my unistd.h
*/

#include "uuid.h"

unsigned int uuid_LEN_BIN = UUID_LEN_BIN;
unsigned int uuid_LEN_STR = UUID_LEN_STR;

unsigned int uuid_RC_OK = UUID_RC_OK;
unsigned int uuid_RC_ARG = UUID_RC_ARG;
unsigned int uuid_RC_MEM = UUID_RC_MEM;
unsigned int uuid_RC_SYS = UUID_RC_SYS;
unsigned int uuid_RC_INT = UUID_RC_INT;
unsigned int uuid_RC_IMP = UUID_RC_IMP;

unsigned int uuid_MAKE_V1 = UUID_MAKE_V1;
unsigned int uuid_MAKE_V1MC = (UUID_MAKE_MC | UUID_MAKE_V1);
unsigned int uuid_MAKE_V3 = UUID_MAKE_V3;
unsigned int uuid_MAKE_V4 = UUID_MAKE_V4;
unsigned int uuid_MAKE_V5 = UUID_MAKE_V5;

unsigned int uuid_FMT_BIN = UUID_FMT_BIN;
unsigned int uuid_FMT_STR = UUID_FMT_STR;
unsigned int uuid_FMT_TXT = UUID_FMT_TXT;
